/**
 * Copyright 2013 Peergreen SAS
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.ow2.shelbie.commands.builtin.internal;


import jline.console.history.History;
import org.apache.felix.service.command.CommandSession;
import org.mockito.Mock;
import org.mockito.MockitoAnnotations;
import org.ow2.shelbie.testing.ActionContainer;
import org.testng.annotations.BeforeMethod;
import org.testng.annotations.Test;

import static org.mockito.Mockito.verify;
import static org.mockito.Mockito.verifyNoMoreInteractions;
import static org.mockito.Mockito.when;

/**
 * Created with IntelliJ IDEA.
 * User: guillaume
 * Date: 13/02/13
 * Time: 12:07
 * To change this template use File | Settings | File Templates.
 */
public class HistoryActionTestCase {

    @Mock
    private CommandSession session;

    @Mock
    private History history;

    @BeforeMethod
    public void setUp() throws Exception {
        MockitoAnnotations.initMocks(this);
    }

    @Test
    public void testNoHistoryAvailable() throws Exception {
        ActionContainer command = new ActionContainer(new HistoryAction());
        command.execute(session);
        verify(session).get(History.class.getName());
        verifyNoMoreInteractions(session);
    }

    @Test
    public void testClearHistory() throws Exception {
        when(session.get(History.class.getName())).thenReturn(history);
        ActionContainer command = new ActionContainer(new HistoryAction());
        command.option("--clear", Boolean.TRUE);
        command.execute(session);
        verify(history).clear();
    }
}
