/**
 * Copyright 2013 Peergreen SAS
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.ow2.shelbie.core.internal.registry;

import org.mockito.Mock;
import org.mockito.MockitoAnnotations;
import org.ow2.shelbie.core.internal.registry.supplier.gogo.info.GogoScopeInfo;
import org.ow2.shelbie.core.registry.info.ScopeInfo;
import org.ow2.shelbie.core.registry.supply.InfoSupplier;
import org.testng.annotations.BeforeMethod;
import org.testng.annotations.Test;

import java.util.Arrays;
import java.util.Collection;

import static org.mockito.Mockito.when;
import static org.testng.Assert.assertEquals;

/**
 * User: guillaume
 * Date: 15/02/13
 * Time: 16:13
 */
public class DefaultCommandRegistryTestCase {

    @Mock
    private InfoSupplier supplier;

    @BeforeMethod
    public void setUp() throws Exception {
        MockitoAnnotations.initMocks(this);
    }

    @Test
    public void testScopeAggregation() throws Exception {

        when(supplier.getScopeInfo()).thenReturn(Arrays.<ScopeInfo>asList(new GogoScopeInfo("test"), new GogoScopeInfo("test")));

        DefaultCommandRegistry registry = new DefaultCommandRegistry();
        registry.bindInfoSupplier(supplier);

        Collection<? extends ScopeInfo> scopes = registry.getScopes();
        assertEquals(scopes.size(), 1);
    }
}
